Đến nội dung


Hình ảnh
- - - - -

measure cho nhiều đối tượng


  • Please log in to reply
9 replies to this topic

#1 traichoi85

traichoi85

    biết vẽ circle

  • Members
  • PipPip
  • 35 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 04 April 2011 - 04:27 PM

em vẽ quy hoạch. em muốn trồng cây nên dùng lệnh me. mà chừ me từng đường line rất mất thời gian. nên có bác nào biết cách me nhiều đối tượng cùng lúc được không. em có doc 1 cái có câu hỏi tương tự. mà không có ai trả lời. nên chừ em hỏi lại để có cao thủ nào hảo tâm chỉ giúp dùm hay viết dùm em 1 cái list. em rất cám ơn
  • 0

#2 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 04 April 2011 - 05:01 PM

em vẽ quy hoạch. em muốn trồng cây nên dùng lệnh me. mà chừ me từng đường line rất mất thời gian. nên có bác nào biết cách me nhiều đối tượng cùng lúc được không. em có doc 1 cái có câu hỏi tương tự. mà không có ai trả lời. nên chừ em hỏi lại để có cao thủ nào hảo tâm chỉ giúp dùm hay viết dùm em 1 cái list. em rất cám ơn

Bạn dùng cái này xem:
(defun C:ME1( / ss cd i)
(prompt "\nChon cac doi tuong can MEASURE...")
(setq ss (ssget))
(setq cd (getreal "\nNhap chieu dai doan: "))
(setq i 0)
(repeat (sslength ss)
(command ".MEASURE" (ssname ss i) cd)
(setq i (1+ i)))
(prompt "\nDa MEASURE xong !")
(princ))
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#3 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 04 April 2011 - 05:16 PM

Tại sao bạn không block tất lại rồi measure :)
@DVH : đọc lisp của bạn xong, mình mới phân vân k biết mình và bạn hiểu ý chủ topic k ^^
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#4 traichoi85

traichoi85

    biết vẽ circle

  • Members
  • PipPip
  • 35 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 05 April 2011 - 11:45 AM

cái này là không phải rồi bạn ơi. mình muốn me 1 lần cho nhiều pline đó. thường là khi dùng lệnh me thi
1. nhập lệnh me
2. chọn đối tượng
3. bấm chữ B
4. nhập tên của block
5. chọn Y
6. chọn khoảng cách.
đó là cách thường. giờ mình hỏi ở bước 2 làm sao mình chọn nhiều đối tượng ( đường pline) đẻ rãi các đối tường cho nhanh. chứ mình làm từng đối tượng như thông thường thì lâu quá
mong các bạn giúp dùm
  • 0

#5 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 05 April 2011 - 01:37 PM

cái này là không phải rồi bạn ơi. mình muốn me 1 lần cho nhiều pline đó. thường là khi dùng lệnh me thi
1. nhập lệnh me
2. chọn đối tượng
3. bấm chữ B
4. nhập tên của block
5. chọn Y
6. chọn khoảng cách.
đó là cách thường. giờ mình hỏi ở bước 2 làm sao mình chọn nhiều đối tượng ( đường pline) đẻ rãi các đối tường cho nhanh. chứ mình làm từng đối tượng như thông thường thì lâu quá
mong các bạn giúp dùm

Ngộ nhỉ! Lệnh ME1 của tôi chỉ có 3 bước: 1, 2, 6. Ở bước 2, bạn có thể chọn bao nhiêu đối tượng cũng được mà. Tôi không hiểu ý bạn.
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#6 hochoaivandot

hochoaivandot

    biết dimradius

  • Members
  • PipPipPipPipPip
  • 310 Bài viết
Điểm đánh giá: 107 (tàm tạm)

Đã gửi 05 April 2011 - 02:23 PM

cái này là không phải rồi bạn ơi. mình muốn me 1 lần cho nhiều pline đó. thường là khi dùng lệnh me thi
1. nhập lệnh me
2. chọn đối tượng
3. bấm chữ B
4. nhập tên của block
5. chọn Y
6. chọn khoảng cách.
đó là cách thường. giờ mình hỏi ở bước 2 làm sao mình chọn nhiều đối tượng ( đường pline) đẻ rãi các đối tường cho nhanh. chứ mình làm từng đối tượng như thông thường thì lâu quá
mong các bạn giúp dùm

Có phải bạn cần lisp này không?

(defun C:me2(/ i ss dis isalign blname isb en)
(setq i 0 ss (ssget))
(setq dis (getstring "\nSpecify length of segment <Block> : "))
(if (= (strcase dis) "B")
(progn
(setq blname (getstring "\nEnter name of block to insert:"))
(setq dis (getreal "\nSpecify length of segment : "))
(initget "Yes No")
(setq isalign (getkword "\nAlign block with object? [Yes/No] <Y>"))
(if (not isalign) (setq isalign "Yes"))
(setq isb T)
)
(progn
(setq dis (atof dis))
(setq isb nil)
)
)
(repeat (sslength ss)
(setq en (ssname ss i))
(if isb
(command "MEASURE" en "B" blname isalign dis)
(command "MEASURE" en dis)
)
(setq i (1+ i))
)
(princ "\nhochoaivandot")
)

  • 2

Dương Bá Diệp

 

www.cadonline.duyxuyen.vn 

 

Thành viên nhóm CADMAGIC

 


#7 traichoi85

traichoi85

    biết vẽ circle

  • Members
  • PipPip
  • 35 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 05 April 2011 - 03:51 PM

đúng rôi. cảm ơn bạn "hochoaivandot" nhiều nhiều. cái này tui tìm mấy năm rồi
  • 0

#8 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 05 April 2011 - 04:15 PM

đúng rôi. cảm ơn bạn "hochoaivandot" nhiều nhiều. cái này tui tìm mấy năm rồi

Bạn hãy kích nút thank động viên bạn ấy kèm theo lời nói :)
Mình cũng góp cái lisp vừa nãy thảo, không đc chi tiết như bạn HHVD viết
(defun c:me3 ()
(setq blk (getstring "\nEnter name of block to insert:")
isAlg (getstring "\nAlign block with object? [Y/N] <Y>")
dis (getdist "\nSpecify length of segment : "))
(foreach x (vl-remove-if 'listp (mapcar 'cadr (ssnamex (ssget))))
(command "measure" x "B" blk isAlg dis)
)
)

  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#9 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 05 April 2011 - 05:01 PM

Bạn hãy kích nút thank động viên bạn ấy kèm theo lời nói :)
Mình cũng góp cái lisp vừa nãy thảo, không đc chi tiết như bạn HHVD viết

(defun c:me3 ()
(setq blk (getstring "\nEnter name of block to insert:")
isAlg (getstring "\nAlign block with object? [Y/N] <Y>")
dis (getdist "\nSpecify length of segment : "))
(foreach x (vl-remove-if 'listp (mapcar 'cadr (ssnamex (ssget))))
(command "measure" x "B" blk isAlg dis)
)
)

À, ra thế!
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#10 quang_lac

quang_lac

    biết lệnh mirror

  • Members
  • PipPipPip
  • 151 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 13 April 2011 - 06:53 PM

nếu không có cái lip kia thì khi sử dụng lệnh me nó chỉ cho mình chọn 1 đối tượng thôi
  • 0